Browse Source

Added a script to strip file lines from po files.

Roland Illig 20 years ago
parent
commit
7e211ffccc
2 changed files with 11 additions and 1 deletions
  1. 3 1
      po/README
  2. 8 0
      po/strip-location.sh

+ 3 - 1
po/README

@@ -1,2 +1,4 @@
 When you commit a translation, please strip the #: lines before. This
-makes it much easier to view diffs.
+makes it much easier to view diffs. Example:
+
+	./strip-location *.po

+ 8 - 0
po/strip-location.sh

@@ -0,0 +1,8 @@
+#! /bin/sh
+set -e
+
+for i in "$@"; do
+	i="./$i"
+	sed '/^#:/d' < "$i" > "$i.tmp"
+	mv -f "$i.tmp" "$i"
+done